import System

class Chronometer:
	private ticks1 as DateTime
	private ticks2 as DateTime
	
	private stopped as bool

	public def start():
		self.ticks1 = DateTime.Now
		self.stopped = false

	public def stop():
		self.ticks2 = DateTime.Now
		self.stopped = true

	private def ticksToMicroSeconds(t1 as DateTime, t2 as DateTime) as int:
		difference as TimeSpan
		difference = t2.Subtract(t1)
		return (difference.Milliseconds + difference.Seconds * 1000 + difference.Minutes * 60000) * 1000

	public def getMicroSeconds() as int:
		if self.stopped:
			return self.ticksToMicroSeconds(ticks1, ticks2)
		return self.ticksToMicroSeconds(ticks1, DateTime.Now)
		
class BenchMark:
	protected iterations as int
	protected microSeconds as int
	
	public def run() as int:
		for i in range(iterations):
			self.runOneIteration()
		return self.microSeconds
		
	public virtual def runOneIteration() as object:
		return null

class ArithmethicBenchmark(BenchMark):
	public def constructor(iterations as int):
		self.iterations = iterations
		
	public def runOneIteration() as object:		
		chronometer as Chronometer
		chronometer = Chronometer()	
		test = NormalClassAttribute()		
		chronometer.start()
		test.test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()
		return null	

class Test:
	pass

class C:	
	public static a as duck
	public static b as duck
	public static c as duck
	
class NormalClassAttribute(Test):
	def test():
		two as duck
		three as duck
		four as duck
		x as int		
		two = 2
		three = 3
		four = 4
		for i in range(100000):
			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four


			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four


			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four


			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four

			C.a = two
			C.b = three
			C.c = four


			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c

			x = C.a
			x = C.b
			x = C.c
		
args = argv
def main():
	if args.Length < 1: 
		print ("You must pass the number of thousands iterations.")
		System.Environment.Exit(-1)
	
	iterations as int
	iterations = Convert.ToInt32(args[0])
	arith as ArithmethicBenchmark
	arith = ArithmethicBenchmark(iterations)
	Console.WriteLine(arith.run())	

main()