import sys, time, operator, os
from time import clock

TRUE = 1
FALSE = 0

class Chronometer:
	ticks1 = 0
	ticks2 = 0
	stopped = TRUE
	
	def start(self):
		self.ticks1 = time.time()
		self.stopped = FALSE

	def stop(self):
		self.ticks2 = time.time()
		self.stopped = TRUE

	def getSeconds(self):
		if self.stopped:
			return self.ticks2 - self.ticks1
		return time.time() - self.ticks1
		
	def getMicroSeconds(self):
		return int(self.getSeconds() * 1000000)

class BenchMark:
	microSeconds = 0
	def __init__(self,iterations):		
		self.iterations = iterations
	
	def run(self):		
		for i in range(self.iterations):
			self.runOneIteration()
		return self.microSeconds
	
	def runOneIteration(self):
		pass	

class ArithmethicBenchmark(BenchMark):
	def __init__(self,iterations):
		self.iterations = iterations
		
	def runOneIteration(self):				
		chronometer = Chronometer()				
		test = SimpleListManipulation()		
		chronometer.start()
		test.test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()
		return None
		
class Test:
	pass

class SimpleListManipulation(Test):
	def test(self):
		one = 1
		two = 2
		three = 3
		four = 4
		five = 5	
		l = []
		append = l.append

		for i in range(130000):

			append(two)
			append(three)
			append(four)
			append(two)
			append(three)
			append(four)

			l[0] = three
			l[1] = four
			l[2] = five
			l[3] = three
			l[4] = four
			l[5] = five

			x = l[0]
			x = l[1]
			x = l[2]
			x = l[3]
			x = l[4]
			x = l[5]

			append(two)
			append(three)
			append(four)
			append(two)
			append(three)
			append(four)

			l[0] = three
			l[1] = four
			l[2] = five
			l[3] = three
			l[4] = four
			l[5] = five

			x = l[0]
			x = l[1]
			x = l[2]
			x = l[3]
			x = l[4]
			x = l[5]

			append(two)
			append(three)
			append(four)
			append(two)
			append(three)
			append(four)

			l[0] = three
			l[1] = four
			l[2] = five
			l[3] = three
			l[4] = four
			l[5] = five

			x = l[0]
			x = l[1]
			x = l[2]
			x = l[3]
			x = l[4]
			x = l[5]

			append(two)
			append(three)
			append(four)
			append(two)
			append(three)
			append(four)

			l[0] = three
			l[1] = four
			l[2] = five
			l[3] = three
			l[4] = four
			l[5] = five

			x = l[0]
			x = l[1]
			x = l[2]
			x = l[3]
			x = l[4]
			x = l[5]

			append(two)
			append(three)
			append(four)
			append(two)
			append(three)
			append(four)

			l[0] = three
			l[1] = four
			l[2] = five
			l[3] = three
			l[4] = four
			l[5] = five

			x = l[0]
			x = l[1]
			x = l[2]
			x = l[3]
			x = l[4]
			x = l[5]

			if len(l) > 10000:
				# cut down the size
				del l[:]

if __name__ == '__main__':	
	if len(sys.argv) < 2: 
		print ("You must pass the number of thousands iterations.")
		sys.exit(-1)
	iterations = int(sys.argv[1])	
	arith = ArithmethicBenchmark(iterations)
	print (str(arith.run()))