import sys, time, random, math
from time import clock
TRUE = 1
FALSE = 0

class StringMappings():

	version = 2.0
	operations = 3 * (5 + 4 + 2 + 1)
	rounds = 70000

	def test(self):
		s = ""
		t = ""
		u = ""
		v = ""
		for i in range(20):
			s += "" + str(i)
		for i in range(50):
			t += "" + str(i)	
		for i in range(100):
			u += "" + str(i)
		for i in range(256):
			v += "" + str(i)		

		for i in range(self.rounds):
			b = s.lower()
			b = s.lower()
			b = s.lower()
			b = s.lower()
			b = s.lower()
			
			b = s.upper()
			b = s.upper()
			b = s.upper()
			b = s.upper()
			b = s.upper()
			
			b = t.lower()
			b = t.lower()
			b = t.lower()
			b = t.lower()
			
			b = t.upper()
			b = t.upper()
			b = t.upper()
			b = t.upper()
			
			b = u.lower()
			b = u.lower()
			
			b = u.upper()
			b = u.upper()
			
			b = v.lower()
			
			b = v.upper()

	
class Chronometer:
	ticks1 = 0
	ticks2 = 0
	stopped = TRUE
	
	def start(self):
		self.ticks1 = time.time()
		self.stopped = FALSE

	def stop(self):
		self.ticks2 = time.time()
		self.stopped = TRUE

	def getSeconds(self):
		if self.stopped:
			return self.ticks2 - self.ticks1
		return time.time() - self.ticks1		
	def getMiliSeconds(self):
		return int(self.getSeconds() * 1000)
	def getMicroSeconds(self):
		return int(self.getSeconds() * 1000000)
	
class BenchMark:		
	def __init__(self,iterations):
		self.microSeconds = 0
		self.iterations = iterations

	def runOneIteration(self): 
		chronometer = Chronometer()							
		chronometer.start()				
		StringMappings().test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()		
		

	def run(self): 
		for i in range(self.iterations):
			self.runOneIteration()
		return self.microSeconds
		
if __name__ == '__main__':
	import sys
	if len(sys.argv) < 2: 
		print ("You must pass the number of thousands iterations.")
		sys.exit(-1)  
	iterations = int(sys.argv[1])
	bench = BenchMark(iterations)	
	print(str(int(bench.run())).replace(".",","))