function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new SimpleListManipulation().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function SimpleListManipulation() {
    this.version = 2.0
    this.operations = 5* (6 + 6 + 6)
    this.rounds = 130000
}

SimpleListManipulation.prototype.test = function() {

	var l = []
	var x;
	var addCount = 0;
	
	var one = 1;
	var two = 2;
	var three = 3;
	var four = 4;
	var five = 5;
	
	for (var i in range(this.rounds)) {
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;

		l[0] = three;
		l[1] = four;
		l[2] = five;
		l[3] = three;
		l[4] = four;
		l[5] = five;

		x = l[0];
		x = l[1];
		x = l[2];
		x = l[3];
		x = l[4];
		x = l[5];

		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;

		l[0] = three;
		l[1] = four;
		l[2] = five;
		l[3] = three;
		l[4] = four;
		l[5] = five;

		x = l[0];
		x = l[1];
		x = l[2];
		x = l[3];
		x = l[4];
		x = l[5];
		
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;

		l[0] = three;
		l[1] = four;
		l[2] = five;
		l[3] = three;
		l[4] = four;
		l[5] = five;

		x = l[0];
		x = l[1];
		x = l[2];
		x = l[3];
		x = l[4];
		x = l[5];
		
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;

		l[0] = three;
		l[1] = four;
		l[2] = five;
		l[3] = three;
		l[4] = four;
		l[5] = five;

		x = l[0];
		x = l[1];
		x = l[2];
		x = l[3];
		x = l[4];
		x = l[5];
		
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;
		l[(addCount = addCount + 1) % 10000] = two;
		l[(addCount = addCount + 1) % 10000] = three;
		l[(addCount = addCount + 1) % 10000] = four;

		l[0] = three;
		l[1] = four;
		l[2] = five;
		l[3] = three;
		l[4] = four;
		l[5] = five;

		x = l[0];
		x = l[1];
		x = l[2];
		x = l[3];
		x = l[4];
		x = l[5];

		if (addCount > 10000) {
			addCount = 0;
		}
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}