function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new StringMappings().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function StringMappings() {
    this.version = 2.0
    this.operations = 3 * (5 + 4 + 2 + 1)
    this.rounds = 70000
}

StringMappings.prototype.test = function() {
	var s = "", t = "", u = "", v = ""
	for(var i in range(20)) s+=i
	for(var i in range(50)) t+=i
	for(var i in range(100)) u+=i
	for(var i in range(256)) v+=i
	
	var b;

	for(var i in range(this.rounds)) {
		b = s.toLowerCase();		
		b = s.toLowerCase();		
		b = s.toLowerCase();		
		b = s.toLowerCase();		
		b = s.toLowerCase();		

		b = s.toUpperCase();
		b = s.toUpperCase();
		b = s.toUpperCase();
		b = s.toUpperCase();
		b = s.toUpperCase();

		b = t.toLowerCase();		
		b = t.toLowerCase();		
		b = t.toLowerCase();		
		b = t.toLowerCase();		

		b = t.toUpperCase();
		b = t.toUpperCase();
		b = t.toUpperCase();
		b = t.toUpperCase();

		b = u.toLowerCase();		
		b = u.toLowerCase();		

		b = u.toUpperCase();
		b = u.toUpperCase();

		b = v.toLowerCase();		

		b = v.toUpperCase();					
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}