function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new StringMappings().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function StringMappings() {
    this.version = 2.0    
    this.rounds = 160000
}

StringMappings.prototype.test = function() {
	var s = "";
	for(var i in range(100)) s+=i
	
	var b;				
	var zero = 0;
	var one = 1;
	var two = 2;
	var five = 5;
	var eleven = 11;
	var twentyfive = 25;
	var fifty = 50;

	for(var i in range(this.rounds)) {
		b = s.substring(fifty);	
		b = s.substring(zero,twentyfive);
		b = s.substring(fifty,fifty + five);
		b = s.substring(s.length - one);
		b = s.substring(zero,one);
		b = s.substring(two);
		b = s.substring(eleven,s.length - eleven);	

		b = s.substring(fifty);	
		b = s.substring(zero,twentyfive);
		b = s.substring(fifty,fifty + five);
		b = s.substring(s.length - one);
		b = s.substring(zero,one);
		b = s.substring(two);
		b = s.substring(eleven,s.length - eleven);	

		b = s.substring(fifty);	
		b = s.substring(zero,twentyfive);
		b = s.substring(fifty,fifty + five);
		b = s.substring(s.length - one);
		b = s.substring(zero,one);
		b = s.substring(two);
		b = s.substring(eleven,s.length - eleven);	

		b = s.substring(fifty);	
		b = s.substring(zero,twentyfive);
		b = s.substring(fifty,fifty + five);
		b = s.substring(s.length - one);
		b = s.substring(zero,one);
		b = s.substring(two);
		b = s.substring(eleven,s.length - eleven);	

		b = s.substring(fifty);	
		b = s.substring(zero,twentyfive);
		b = s.substring(fifty,fifty + five);
		b = s.substring(s.length - one);
		b = s.substring(zero,one);
		b = s.substring(two);
		b = s.substring(eleven,s.length - eleven);			
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}