function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictWithStringKeys().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictWithStringKeys() {
    this.version = 2.0
    this.operations = 5*(6 + 6)
    this.rounds = 200000
}

DictWithStringKeys.prototype.test = function() {
	var d = {}
	
	for (var i in range(this.rounds)) {

		d['abc'] = 1
		d['def'] = 2
		d['ghi'] = 3
		d['jkl'] = 4
		d['mno'] = 5
		d['pqr'] = 6

		d['abc']
		d['def']
		d['ghi']
		d['jkl']
		d['mno']
		d['pqr']

		d['abc'] = 1
		d['def'] = 2
		d['ghi'] = 3
		d['jkl'] = 4
		d['mno'] = 5
		d['pqr'] = 6

		d['abc']
		d['def']
		d['ghi']
		d['jkl']
		d['mno']
		d['pqr']

		d['abc'] = 1
		d['def'] = 2
		d['ghi'] = 3
		d['jkl'] = 4
		d['mno'] = 5
		d['pqr'] = 6

		d['abc']
		d['def']
		d['ghi']
		d['jkl']
		d['mno']
		d['pqr']

		d['abc'] = 1
		d['def'] = 2
		d['ghi'] = 3
		d['jkl'] = 4
		d['mno'] = 5
		d['pqr'] = 6

		d['abc']
		d['def']
		d['ghi']
		d['jkl']
		d['mno']
		d['pqr']

		d['abc'] = 1
		d['def'] = 2
		d['ghi'] = 3
		d['jkl'] = 4
		d['mno'] = 5
		d['pqr'] = 6

		d['abc']
		d['def']
		d['ghi']
		d['jkl']
		d['mno']
		d['pqr']
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}