function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new SimpleDictManipulation().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function SimpleDictManipulation() {
    this.version = 2.0
    this.operations = 5*(6 + 6 + 6 + 6)
    this.rounds = 100000
}

SimpleDictManipulation.prototype.has_key = function(key) {	
	//return key in Object.keys(this.d);
	return this.d[key] != undefined
}

SimpleDictManipulation.prototype.test = function() {
	this.d = {}
	var x = 0

	for (var i in range(this.rounds)) {

		this.d[0] = 3
		this.d[1] = 4
		this.d[2] = 5
		this.d[3] = 3
		this.d[4] = 4
		this.d[5] = 5

		x = this.d[0]
		x = this.d[1]
		x = this.d[2]
		x = this.d[3]
		x = this.d[4]
		x = this.d[5]

		this.has_key(0)
		this.has_key(2)
		this.has_key(4)
		this.has_key(6)
		this.has_key(8)
		this.has_key(10)

		delete this.d[0]
		delete this.d[1]
		delete this.d[2]
		delete this.d[3]
		delete this.d[4]
		delete this.d[5]

		this.d[0] = 3
		this.d[1] = 4
		this.d[2] = 5
		this.d[3] = 3
		this.d[4] = 4
		this.d[5] = 5

		x = this.d[0]
		x = this.d[1]
		x = this.d[2]
		x = this.d[3]
		x = this.d[4]
		x = this.d[5]

		this.has_key(0)
		this.has_key(2)
		this.has_key(4)
		this.has_key(6)
		this.has_key(8)
		this.has_key(10)

		delete this.d[0]
		delete this.d[1]
		delete this.d[2]
		delete this.d[3]
		delete this.d[4]
		delete this.d[5]

		this.d[0] = 3
		this.d[1] = 4
		this.d[2] = 5
		this.d[3] = 3
		this.d[4] = 4
		this.d[5] = 5

		x = this.d[0]
		x = this.d[1]
		x = this.d[2]
		x = this.d[3]
		x = this.d[4]
		x = this.d[5]

		this.has_key(0)
		this.has_key(2)
		this.has_key(4)
		this.has_key(6)
		this.has_key(8)
		this.has_key(10)

		delete this.d[0]
		delete this.d[1]
		delete this.d[2]
		delete this.d[3]
		delete this.d[4]
		delete this.d[5]

		this.d[0] = 3
		this.d[1] = 4
		this.d[2] = 5
		this.d[3] = 3
		this.d[4] = 4
		this.d[5] = 5

		x = this.d[0]
		x = this.d[1]
		x = this.d[2]
		x = this.d[3]
		x = this.d[4]
		x = this.d[5]

		this.has_key(0)
		this.has_key(2)
		this.has_key(4)
		this.has_key(6)
		this.has_key(8)
		this.has_key(10)

		delete this.d[0]
		delete this.d[1]
		delete this.d[2]
		delete this.d[3]
		delete this.d[4]
		delete this.d[5]

		this.d[0] = 3
		this.d[1] = 4
		this.d[2] = 5
		this.d[3] = 3
		this.d[4] = 4
		this.d[5] = 5

		x = this.d[0]
		x = this.d[1]
		x = this.d[2]
		x = this.d[3]
		x = this.d[4]
		x = this.d[5]

		this.has_key(0)
		this.has_key(2)
		this.has_key(4)
		this.has_key(6)
		this.has_key(8)
		this.has_key(10)

		delete this.d[0]
		delete this.d[1]
		delete this.d[2]
		delete this.d[3]
		delete this.d[4]
		delete this.d[5]
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}