function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new ListSlicing().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function ListSlicing() {
    this.version = 2.0
    this.operations = 25*(3+1+2+1)
    this.rounds = 800
}

ListSlicing.prototype.test = function() {

	var n = range(100)
	var r = range(25)

	for (var i in range(this.rounds)) {
		var l = n.slice(0)
		for (var j in r) {
			var m = l.slice(50, l.length)
			m = l.slice(0,25)
			m = l.slice(50,55)
			l.splice(0, 3, n)
			m = l.slice(0, l.length-1)
			m = l.slice(1, l.length)
			l.splice(l.length-1, 1, n)
		}
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}