
if __name__ == "__main__":

	import benchmarklist
	import bench
	from parameters import *
	
	import os
	import time
	import sys

	def spanish_number(number):
		return str(number).replace(".", ",")
	
	print("Startup test; Interval low; Interval high; Mean; Std Dev; Percentage;")
	for benchmark,iterations in benchmarklist.benchmarks:
		for iteration in iterations:
			command = launcher + " " + interpreter + " " + benchmark + ".js -- " + str(iteration)
			interval, mean, sdev, interval_percentage = bench.startup(command, confidence_level, p_iterations, break_if_interval_percentage_is)
			print(benchmark, " ", iteration, "; ", end="")
			print(spanish_number(interval[0]), "; ", end="")
			print(spanish_number(interval[1]), "; ", end="")
			print(spanish_number(mean), "; ", end="")
			print(spanish_number(sdev), "; ", end="")
			print(spanish_number(interval_percentage), "; ", end="")
			print()
	print()



