import sys, time, random, math
from time import clock
TRUE = 1
FALSE = 0

class DictWithFloatKeys():

    version = 2.0
    operations = 5*(6 + 6)
    rounds = 150000
    SIZE = 50

    def Hash(self,value):
        val = value * 31;
        if val < 0:
            return (0 - val) % self.SIZE
        return val % self.SIZE
        
    def test(self):

        one = 1;
        two = 2;
        three = 3;
        four = 4;
        five = 5;
        six = 6;
        
        d = {}

        for i in range(self.rounds):
            d[self.Hash(1.234)] = one
            d[self.Hash(2.345)] = two
            d[self.Hash(3.456)] = three
            d[self.Hash(4.567)] = four
            d[self.Hash(5.678)] = five
            d[self.Hash(6.789)] = six

            temp = d[self.Hash(1.234)]
            temp = d[self.Hash(2.345)]
            temp = d[self.Hash(3.456)]
            temp = d[self.Hash(4.567)]
            temp = d[self.Hash(5.678)]
            temp = d[self.Hash(6.789)]
            
            d[self.Hash(1.234)] = one
            d[self.Hash(2.345)] = two
            d[self.Hash(3.456)] = three
            d[self.Hash(4.567)] = four
            d[self.Hash(5.678)] = five
            d[self.Hash(6.789)] = six

            temp = d[self.Hash(1.234)]
            temp = d[self.Hash(2.345)]
            temp = d[self.Hash(3.456)]
            temp = d[self.Hash(4.567)]
            temp = d[self.Hash(5.678)]
            temp = d[self.Hash(6.789)]

            d[self.Hash(1.234)] = one
            d[self.Hash(2.345)] = two
            d[self.Hash(3.456)] = three
            d[self.Hash(4.567)] = four
            d[self.Hash(5.678)] = five
            d[self.Hash(6.789)] = six

            temp = d[self.Hash(1.234)]
            temp = d[self.Hash(2.345)]
            temp = d[self.Hash(3.456)]
            temp = d[self.Hash(4.567)]
            temp = d[self.Hash(5.678)]
            temp = d[self.Hash(6.789)]

            d[self.Hash(1.234)] = one
            d[self.Hash(2.345)] = two
            d[self.Hash(3.456)] = three
            d[self.Hash(4.567)] = four
            d[self.Hash(5.678)] = five
            d[self.Hash(6.789)] = six

            temp = d[self.Hash(1.234)]
            temp = d[self.Hash(2.345)]
            temp = d[self.Hash(3.456)]
            temp = d[self.Hash(4.567)]
            temp = d[self.Hash(5.678)]
            temp = d[self.Hash(6.789)]

            d[self.Hash(1.234)] = one
            d[self.Hash(2.345)] = two
            d[self.Hash(3.456)] = three
            d[self.Hash(4.567)] = four
            d[self.Hash(5.678)] = five
            d[self.Hash(6.789)] = six

            temp = d[self.Hash(1.234)]
            temp = d[self.Hash(2.345)]
            temp = d[self.Hash(3.456)]
            temp = d[self.Hash(4.567)]
            temp = d[self.Hash(5.678)]
            temp = d[self.Hash(6.789)]            
            
    
class Chronometer:
    ticks1 = 0
    ticks2 = 0
    stopped = TRUE
    
    def start(self):
        self.ticks1 = time.time()
        self.stopped = FALSE

    def stop(self):
        self.ticks2 = time.time()
        self.stopped = TRUE

    def getSeconds(self):
        if self.stopped:
            return self.ticks2 - self.ticks1
        return time.time() - self.ticks1        
    def getMiliSeconds(self):
        return int(self.getSeconds() * 1000)
    def getMicroSeconds(self):
        return int(self.getSeconds() * 1000000)
    
class BenchMark:        
    def __init__(self,iterations):
        self.microSeconds = 0
        self.iterations = iterations

    def runOneIteration(self): 
        chronometer = Chronometer()                            
        chronometer.start()                
        DictWithFloatKeys().test()
        chronometer.stop()        
        self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()        
        

    def run(self): 
        for i in range(self.iterations):
            self.runOneIteration()
        return self.microSeconds
        
if __name__ == '__main__':
    import sys
    if len(sys.argv) < 2: 
        print ("You must pass the number of thousands iterations.")
        sys.exit(-1)  
    iterations = int(sys.argv[1])
    bench = BenchMark(iterations)    
    print(str(int(bench.run())).replace(".",","))