import sys, time, operator, os
from time import clock

TRUE = 1
FALSE = 0

class Chronometer:
	ticks1 = 0
	ticks2 = 0
	stopped = TRUE
	
	def start(self):
		self.ticks1 = time.time()
		self.stopped = FALSE

	def stop(self):
		self.ticks2 = time.time()
		self.stopped = TRUE

	def getSeconds(self):
		if self.stopped:
			return self.ticks2 - self.ticks1
		return time.time() - self.ticks1
		
	def getMicroSeconds(self):
		return int(self.getSeconds() * 1000000)

class BenchMark:
	microSeconds = 0
	def __init__(self,iterations):		
		self.iterations = iterations
	
	def run(self):		
		for i in range(self.iterations):
			self.runOneIteration()
		return self.microSeconds
	
	def runOneIteration(self):
		pass	

class ArithmethicBenchmark(BenchMark):
	def __init__(self,iterations):
		self.iterations = iterations
		
	def runOneIteration(self):				
		chronometer = Chronometer()				
		test = DictCreation()		
		chronometer.start()
		test.test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()
		return None
		
class Test:
	pass

class DictCreation(Test):
	def test(self):
		two = 2
		three = 3
		four = 4
		five = 5
		six = 6
		seven = 7
		eight = 8
		nine = 9
		ten = 10
		eleven = 11
		for i in range(80000):

			d1 = {}
			d2 = {}
			d3 = {}
			d4 = {}
			d5 = {}

			d1 = {1:two,3:four,5:six}
			d2 = {2:three,4:five,6:seven}
			d3 = {3:four,5:six,7:eight}
			d4 = {4:five,6:seven,8:nine}
			d5 = {6:seven,8:nine,10:eleven}
			
			d1 = {}
			d2 = {}
			d3 = {}
			d4 = {}
			d5 = {}

			d1 = {1:two,3:four,5:six}
			d2 = {2:three,4:five,6:seven}
			d3 = {3:four,5:six,7:eight}
			d4 = {4:five,6:seven,8:nine}
			d5 = {6:seven,8:nine,10:eleven}

			d1 = {}
			d2 = {}
			d3 = {}
			d4 = {}
			d5 = {}

			d1 = {1:two,3:four,5:six}
			d2 = {2:three,4:five,6:seven}
			d3 = {3:four,5:six,7:eight}
			d4 = {4:five,6:seven,8:nine}
			d5 = {6:seven,8:nine,10:eleven}

			d1 = {}
			d2 = {}
			d3 = {}
			d4 = {}
			d5 = {}

			d1 = {1:two,3:four,5:six}
			d2 = {2:three,4:five,6:seven}
			d3 = {3:four,5:six,7:eight}
			d4 = {4:five,6:seven,8:nine}
			d5 = {6:seven,8:nine,10:eleven}

			d1 = {}
			d2 = {}
			d3 = {}
			d4 = {}
			d5 = {}

			d1 = {1:two,3:four,5:six}
			d2 = {2:three,4:five,6:seven}
			d3 = {3:four,5:six,7:eight}
			d4 = {4:five,6:seven,8:nine}
			d5 = {6:seven,8:nine,10:eleven}

if __name__ == '__main__':	
	if len(sys.argv) < 2: 
		print ("You must pass the number of thousands iterations.")
		sys.exit(-1)
	iterations = int(sys.argv[1])	
	arith = ArithmethicBenchmark(iterations)
	print (str(arith.run()))