import sys, time, operator, os
from time import clock

TRUE = 1
FALSE = 0

class Chronometer:
	ticks1 = 0
	ticks2 = 0
	stopped = TRUE
	
	def start(self):
		self.ticks1 = time.time()
		self.stopped = FALSE

	def stop(self):
		self.ticks2 = time.time()
		self.stopped = TRUE

	def getSeconds(self):
		if self.stopped:
			return self.ticks2 - self.ticks1
		return time.time() - self.ticks1
		
	def getMicroSeconds(self):
		return int(self.getSeconds() * 1000000)

class BenchMark:
	microSeconds = 0
	def __init__(self,iterations):		
		self.iterations = iterations
	
	def run(self):		
		for i in range(self.iterations):
			self.runOneIteration()
		return self.microSeconds
	
	def runOneIteration(self):
		pass	

class ArithmethicBenchmark(BenchMark):
	def __init__(self,iterations):
		self.iterations = iterations
		
	def runOneIteration(self):				
		chronometer = Chronometer()				
		test = DictWithIntegerKeys()		
		chronometer.start()
		test.test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()
		return None
		
class Test:
	pass

class DictWithIntegerKeys(Test):
	def test(self):
		one = 1
		two = 2
		three = 3
		four = 4
		five = 5
		six = 6
		d = {}

		for i in range(200000):
			d[1] = one
			d[2] = two
			d[3] = three
			d[4] = four
			d[5] = five
			d[6] = six

			temp = d[1]
			temp = d[2]
			temp = d[3]
			temp = d[4]
			temp = d[5]
			temp = d[6]

			d[1] = one
			d[2] = two
			d[3] = three
			d[4] = four
			d[5] = five
			d[6] = six

			temp = d[1]
			temp = d[2]
			temp = d[3]
			temp = d[4]
			temp = d[5]
			temp = d[6]

			d[1] = one
			d[2] = two
			d[3] = three
			d[4] = four
			d[5] = five
			d[6] = six

			temp = d[1]
			temp = d[2]
			temp = d[3]
			temp = d[4]
			temp = d[5]
			temp = d[6]

			d[1] = one
			d[2] = two
			d[3] = three
			d[4] = four
			d[5] = five
			d[6] = six

			temp = d[1]
			temp = d[2]
			temp = d[3]
			temp = d[4]
			temp = d[5]
			temp = d[6]

			d[1] = one
			d[2] = two
			d[3] = three
			d[4] = four
			d[5] = five
			d[6] = six

			temp = d[1]
			temp = d[2]
			temp = d[3]
			temp = d[4]
			temp = d[5]
			temp = d[6]

if __name__ == '__main__':	
	if len(sys.argv) < 2: 
		print ("You must pass the number of thousands iterations.")
		sys.exit(-1)
	iterations = int(sys.argv[1])	
	arith = ArithmethicBenchmark(iterations)
	print (str(arith.run()))