import sys, time, random, math
from time import clock
TRUE = 1
FALSE = 0

class StringSlicing():

	version = 2.0
	operations = 5 * 7
	rounds = 160000

	def test(self):
		s = ""
		for i in range(100):
			s += "" + str(i)
		
		zero = 0
		one = 1
		two = 2
		five = 5
		eleven = 11
		twentyfive = 25
		fifty = 50
		fiftyfive = 55
		
		for i in xrange(self.rounds):
			s[fifty:]
			s[:twentyfive]
			s[fifty:fiftyfive]
			s[-one:]
			s[:one]
			s[two:]
			s[eleven:-eleven]			
			
			s[fifty:]
			s[:twentyfive]
			s[fifty:fiftyfive]
			s[-one:]
			s[:one]
			s[two:]
			s[eleven:-eleven]
			
			s[fifty:]
			s[:twentyfive]
			s[fifty:fiftyfive]
			s[-one:]
			s[:one]
			s[two:]
			s[eleven:-eleven]			
			
			s[fifty:]
			s[:twentyfive]
			s[fifty:fiftyfive]
			s[-one:]
			s[:one]
			s[two:]
			s[eleven:-eleven]
			
			s[fifty:]
			s[:twentyfive]
			s[fifty:fiftyfive]
			s[-one:]
			s[:one]
			s[two:]
			s[eleven:-eleven]			

			
	
class Chronometer:
	ticks1 = 0
	ticks2 = 0
	stopped = TRUE
	
	def start(self):
		self.ticks1 = time.time()
		self.stopped = FALSE

	def stop(self):
		self.ticks2 = time.time()
		self.stopped = TRUE

	def getSeconds(self):
		if self.stopped:
			return self.ticks2 - self.ticks1
		return time.time() - self.ticks1		
	def getMiliSeconds(self):
		return int(self.getSeconds() * 1000)
	def getMicroSeconds(self):
		return int(self.getSeconds() * 1000000)
	
class BenchMark:		
	def __init__(self,iterations):
		self.microSeconds = 0
		self.iterations = iterations

	def runOneIteration(self): 
		chronometer = Chronometer()							
		chronometer.start()				
		StringSlicing().test()
		chronometer.stop()		
		self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()		
		

	def run(self): 
		for i in range(self.iterations):
			self.runOneIteration()
		return self.microSeconds
		
if __name__ == '__main__':
	import sys
	if len(sys.argv) < 2: 
		print ("You must pass the number of thousands iterations.")
		sys.exit(-1)  
	iterations = int(sys.argv[1])
	bench = BenchMark(iterations)	
	print(str(int(bench.run())).replace(".",","))