function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new SimpleFloatArithmetic().test();
	var after = new Date();
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function SimpleFloatArithmetic() {
    this.version = 2.0
    this.operations = 5 * (3 + 5 + 5 + 3 + 3 + 3)
    this.rounds = 120000
}

SimpleFloatArithmetic.prototype.test = function() {
	for (var i in range(this.rounds)) {		
		var a = 2.1
		var b = 3.3332
		var c = 3.14159

		c = a + b
		c = b + c
		c = c + a
		c = a + b
		c = b + c

		c = c - a
		c = a - b
		c = b - c
		c = c - a
		c = b - c

		c = a / b
		c = b / a
		c = c / b

		c = a * b
		c = b * a
		c = c * b

		c = a / b
		c = b / a
		c = c / b

		a = 2.1
		b = 3.3332
		c = 3.14159

		c = a + b
		c = b + c
		c = c + a
		c = a + b
		c = b + c

		c = c - a
		c = a - b
		c = b - c
		c = c - a
		c = b - c

		c = a / b
		c = b / a
		c = c / b

		c = a * b
		c = b * a
		c = c * b

		c = a / b
		c = b / a
		c = c / b

		a = 2.1
		b = 3.3332
		c = 3.14159

		c = a + b
		c = b + c
		c = c + a
		c = a + b
		c = b + c

		c = c - a
		c = a - b
		c = b - c
		c = c - a
		c = b - c

		c = a / b
		c = b / a
		c = c / b

		c = a * b
		c = b * a
		c = c * b

		c = a / b
		c = b / a
		c = c / b

		a = 2.1
		b = 3.3332
		c = 3.14159

		c = a + b
		c = b + c
		c = c + a
		c = a + b
		c = b + c

		c = c - a
		c = a - b
		c = b - c
		c = c - a
		c = b - c

		c = a / b
		c = b / a
		c = c / b

		c = a * b
		c = b * a
		c = c * b

		c = a / b
		c = b / a
		c = c / b

		a = 2.1
		b = 3.3332
		c = 3.14159

		c = a + b
		c = b + c
		c = c + a
		c = a + b
		c = b + c

		c = c - a
		c = a - b
		c = b - c
		c = c - a
		c = b - c

		c = a / b
		c = b / a
		c = c / b

		c = a * b
		c = b * a
		c = c * b

		c = a / b
		c = b / a
		c = c / b
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}