function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new MethodCalls().test();
	var after = new Date();
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}

function C() {
}

function fmethod() {
    return this.x;
}

function jmethod(a,b) {
    this.y = a
    this.t = b
    return this.y
}

function kmethod(a,b,c) {
    this.y = a
    this.s = b
    this.t = c
}
        
function MethodCalls() {
    this.version = 2.0
    this.operations = 5*(6 + 5 + 4)
    this.rounds = 30000
}
    
MethodCalls.prototype.createC = function() {
        var o = new C()
        o.x = 2
        o.s = 'string'
    
        o.f = fmethod;
        o.j = jmethod;
        o.k = kmethod;
        return o
}
        
MethodCalls.prototype.test = function() {

		for(var i in range(this.rounds)) {

			var o = this.createC();
			
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.j(i,i)
            o.j(i,i)
            o.j(i,2)
            o.j(i,2)
            o.j(2,2)
            o.k(i,i,3)
            o.k(i,2,3)
            o.k(i,2,3)
            o.k(i,i,4)

            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.j(i,i)
            o.j(i,i)
            o.j(i,2)
            o.j(i,2)
            o.j(2,2)
            o.k(i,i,3)
            o.k(i,2,3)
            o.k(i,2,3)
            o.k(i,i,4)

            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.j(i,i)
            o.j(i,i)
            o.j(i,2)
            o.j(i,2)
            o.j(2,2)
            o.k(i,i,3)
            o.k(i,2,3)
            o.k(i,2,3)
            o.k(i,i,4)

            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.j(i,i)
            o.j(i,i)
            o.j(i,2)
            o.j(i,2)
            o.j(2,2)
            o.k(i,i,3)
            o.k(i,2,3)
            o.k(i,2,3)
            o.k(i,i,4)

            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.f()
            o.j(i,i)
            o.j(i,i)
            o.j(i,2)
            o.j(i,2)
            o.j(2,2)
            o.k(i,i,3)
            o.k(i,2,3)
            o.k(i,2,3)
            o.k(i,i,4)
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}