function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictWithFloatKeys().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictWithFloatKeys() {
    this.version = 2.0
    this.operations = 5*(6 + 6)
    this.rounds = 150000
}

DictWithFloatKeys.prototype.test = function() {
	var d = {}

	for (var i in range(this.rounds)) {

		d[1.234] = 1
		d[2.345] = 2
		d[3.456] = 3
		d[4.567] = 4
		d[5.678] = 5
		d[6.789] = 6

		d[1.234]
		d[2.345]
		d[3.456]
		d[4.567]
		d[5.678]
		d[6.789]

		d[1.234] = 1
		d[2.345] = 2
		d[3.456] = 3
		d[4.567] = 4
		d[5.678] = 5
		d[6.789] = 6

		d[1.234]
		d[2.345]
		d[3.456]
		d[4.567]
		d[5.678]
		d[6.789]

		d[1.234] = 1
		d[2.345] = 2
		d[3.456] = 3
		d[4.567] = 4
		d[5.678] = 5
		d[6.789] = 6

		d[1.234]
		d[2.345]
		d[3.456]
		d[4.567]
		d[5.678]
		d[6.789]

		d[1.234] = 1
		d[2.345] = 2
		d[3.456] = 3
		d[4.567] = 4
		d[5.678] = 5
		d[6.789] = 6

		d[1.234]
		d[2.345]
		d[3.456]
		d[4.567]
		d[5.678]
		d[6.789]

		d[1.234] = 1
		d[2.345] = 2
		d[3.456] = 3
		d[4.567] = 4
		d[5.678] = 5
		d[6.789] = 6

		d[1.234]
		d[2.345]
		d[3.456]
		d[4.567]
		d[5.678]
		d[6.789]
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}