function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictWithIntegerKeys().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictWithIntegerKeys() {
    this.version = 2.0
    this.operations = 5*(6 + 6)
    this.rounds = 200000
}

DictWithIntegerKeys.prototype.test = function() {
	var d = {}

	for (var i in range(this.rounds)) {

		d[1] = 1
		d[2] = 2
		d[3] = 3
		d[4] = 4
		d[5] = 5
		d[6] = 6

		d[1]
		d[2]
		d[3]
		d[4]
		d[5]
		d[6]

		d[1] = 1
		d[2] = 2
		d[3] = 3
		d[4] = 4
		d[5] = 5
		d[6] = 6

		d[1]
		d[2]
		d[3]
		d[4]
		d[5]
		d[6]

		d[1] = 1
		d[2] = 2
		d[3] = 3
		d[4] = 4
		d[5] = 5
		d[6] = 6

		d[1]
		d[2]
		d[3]
		d[4]
		d[5]
		d[6]

		d[1] = 1
		d[2] = 2
		d[3] = 3
		d[4] = 4
		d[5] = 5
		d[6] = 6

		d[1]
		d[2]
		d[3]
		d[4]
		d[5]
		d[6]

		d[1] = 1
		d[2] = 2
		d[3] = 3
		d[4] = 4
		d[5] = 5
		d[6] = 6

		d[1]
		d[2]
		d[3]
		d[4]
		d[5]
		d[6]
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}