function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new CreateStringWithConcat().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function CreateStringWithConcat() {
    this.version = 2.0
    this.operations = 10 * 5
    this.rounds = 200000
}

CreateStringWithConcat.prototype.test = function() {

	for (var i in range(this.rounds)) {
		s = '\u1000 om \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'

		s = s + '\u1000 xax \u1001'
		s = s + '\u1002 xbx \u1003'
		s = s + '\u1004 xcx \u1005'
		s = s + '\u1006 xdx \u1007'
		s = s + '\u1008 xex \u1009'
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}