function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictCreation().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictCreation() {
    this.version = 2.0
    this.operations = 5*(5 + 5)
    this.rounds = 80000
}

DictCreation.prototype.test = function() {
	var d1, d2, d3, d4, d5
	for(var i in range(this.rounds)) {
		d1 = {}
		d2 = {}
		d3 = {}
		d4 = {}
		d5 = {}

		d1 = {1:2,3:4,5:6}
		d2 = {2:3,4:5,6:7}
		d3 = {3:4,5:6,7:8}
		d4 = {4:5,6:7,8:9}
		d5 = {6:7,8:9,10:11}
		
		d1 = {}
		d2 = {}
		d3 = {}
		d4 = {}
		d5 = {}

		d1 = {1:2,3:4,5:6}
		d2 = {2:3,4:5,6:7}
		d3 = {3:4,5:6,7:8}
		d4 = {4:5,6:7,8:9}
		d5 = {6:7,8:9,10:11}

		d1 = {}
		d2 = {}
		d3 = {}
		d4 = {}
		d5 = {}

		d1 = {1:2,3:4,5:6}
		d2 = {2:3,4:5,6:7}
		d3 = {3:4,5:6,7:8}
		d4 = {4:5,6:7,8:9}
		d5 = {6:7,8:9,10:11}

		d1 = {}
		d2 = {}
		d3 = {}
		d4 = {}
		d5 = {}

		d1 = {1:2,3:4,5:6}
		d2 = {2:3,4:5,6:7}
		d3 = {3:4,5:6,7:8}
		d4 = {4:5,6:7,8:9}
		d5 = {6:7,8:9,10:11}

		d1 = {}
		d2 = {}
		d3 = {}
		d4 = {}
		d5 = {}

		d1 = {1:2,3:4,5:6}
		d2 = {2:3,4:5,6:7}
		d3 = {3:4,5:6,7:8}
		d4 = {4:5,6:7,8:9}
		d5 = {6:7,8:9,10:11}
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}