function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new TryRaiseExcept().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function TryRaiseExcept() {
    this.version = 2.0    
    this.rounds = 8000
}

TryRaiseExcept.prototype.ThrowException = function(message) {			
	throw new Exception(message);
}

TryRaiseExcept.prototype.test = function() {		
	for (var i in range(this.rounds)) {		
		try {			
			throw new Exception("hi");			
		}
		catch (exp1) { }
		finally {
			try {
				this.ThrowException("hi");
			}
			catch (exp2) { }
			try {
				this.ThrowException("something");
			}
			catch (exp3) { }
			try {
				this.ThrowException("something");
			}
			catch (exp4) { }
			try {
				this.ThrowException("something");
			}
			catch (exp5) { }
			try {
				this.ThrowException("something");
			}
			catch (exp6) { }
			try {
				this.ThrowException("something");
			}
			catch (exp7) { }
			try {
				this.ThrowException("something");
			}
			catch (exp8) { }
		}
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}