function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new CompareStrings().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function CompareStrings() {
    this.version = 2.0
    this.operations = 10 * 5
    this.rounds = 200000
}

CompareStrings.prototype.test = function() {
	var list = range(10)
	var s = ""
	var t = ""
	for(var i in list) {
		s+=i
		t+=i
	}
	t += "abc"
	var b = true

	for (var i in range(this.rounds)) {
		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s

		b = t < s
		b = t > s
		b = t == s
		b = t > s
		b = t < s
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}