import sys, time, random, math
from time import clock
TRUE = 1
FALSE = 0

class DictWithStringKeys():

    version = 2.0
    operations = 5*(6 + 6)
    rounds = 200000
    SIZE = 200
    
    def Hash(self,value):
        hashVal = 0        
        key = value
        for i in range(len(key)):
            c = ord(list(value)[i])            
            hashVal = hashVal << 5 ^ c ^ hashVal            
        return hashVal % self.SIZE

    def test(self):

        one = 1;
        two = 2;
        three = 3;
        four = 4;
        five = 5;
        six = 6;
        
        d = {}

        for i in range(self.rounds):
            d[self.Hash("abc")] = one
            d[self.Hash("def")] = two
            d[self.Hash("ghi")] = three
            d[self.Hash("jkl")] = four
            d[self.Hash("mno")] = five
            d[self.Hash("pqr")] = six

            temp = d[self.Hash("abc")]
            temp = d[self.Hash("def")]
            temp = d[self.Hash("ghi")]
            temp = d[self.Hash("jkl")]
            temp = d[self.Hash("mno")]
            temp = d[self.Hash("pqr")]
			
            d[self.Hash("abc")] = one
            d[self.Hash("def")] = two
            d[self.Hash("ghi")] = three
            d[self.Hash("jkl")] = four
            d[self.Hash("mno")] = five
            d[self.Hash("pqr")] = six

            temp = d[self.Hash("abc")]
            temp = d[self.Hash("def")]
            temp = d[self.Hash("ghi")]
            temp = d[self.Hash("jkl")]
            temp = d[self.Hash("mno")]
            temp = d[self.Hash("pqr")]
			
            d[self.Hash("abc")] = one
            d[self.Hash("def")] = two
            d[self.Hash("ghi")] = three
            d[self.Hash("jkl")] = four
            d[self.Hash("mno")] = five
            d[self.Hash("pqr")] = six

            temp = d[self.Hash("abc")]
            temp = d[self.Hash("def")]
            temp = d[self.Hash("ghi")]
            temp = d[self.Hash("jkl")]
            temp = d[self.Hash("mno")]
            temp = d[self.Hash("pqr")]
			
            d[self.Hash("abc")] = one
            d[self.Hash("def")] = two
            d[self.Hash("ghi")] = three
            d[self.Hash("jkl")] = four
            d[self.Hash("mno")] = five
            d[self.Hash("pqr")] = six

            temp = d[self.Hash("abc")]
            temp = d[self.Hash("def")]
            temp = d[self.Hash("ghi")]
            temp = d[self.Hash("jkl")]
            temp = d[self.Hash("mno")]
            temp = d[self.Hash("pqr")]
                        
            d[self.Hash("abc")] = one
            d[self.Hash("def")] = two
            d[self.Hash("ghi")] = three
            d[self.Hash("jkl")] = four
            d[self.Hash("mno")] = five
            d[self.Hash("pqr")] = six

            temp = d[self.Hash("abc")]
            temp = d[self.Hash("def")]
            temp = d[self.Hash("ghi")]
            temp = d[self.Hash("jkl")]
            temp = d[self.Hash("mno")]
            temp = d[self.Hash("pqr")]			
          
    
class Chronometer:
    ticks1 = 0
    ticks2 = 0
    stopped = TRUE
    
    def start(self):
        self.ticks1 = time.time()
        self.stopped = FALSE

    def stop(self):
        self.ticks2 = time.time()
        self.stopped = TRUE

    def getSeconds(self):
        if self.stopped:
            return self.ticks2 - self.ticks1
        return time.time() - self.ticks1        
    def getMiliSeconds(self):
        return int(self.getSeconds() * 1000)
    def getMicroSeconds(self):
        return int(self.getSeconds() * 1000000)
    
class BenchMark:        
    def __init__(self,iterations):
        self.microSeconds = 0
        self.iterations = iterations

    def runOneIteration(self): 
        chronometer = Chronometer()                            
        chronometer.start()                
        DictWithStringKeys().test()
        chronometer.stop()        
        self.microSeconds = self.microSeconds + chronometer.getMicroSeconds()        
        

    def run(self): 
        for i in range(self.iterations):
            self.runOneIteration()
        return self.microSeconds
        
if __name__ == '__main__':
    import sys
    if len(sys.argv) < 2: 
        print ("You must pass the number of thousands iterations.")
        sys.exit(-1)  
    iterations = int(sys.argv[1])
    bench = BenchMark(iterations)    
    print(str(int(bench.run())).replace(".",","))