function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictWithStringKeys().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictWithStringKeys() {
    this.version = 2.0;
    this.operations = 5*(6 + 6);
    this.rounds = 200000;
	this.SIZE = 200;
}

DictWithStringKeys.prototype.Hash = function(value) {
	var hashVal = 0;	
	var key = value;	
	var c;
	for (var i = 0; i < key.length; i++)
	{		
		c = key.split('')[i].charCodeAt(0);
		hashVal = hashVal << 5 ^ c ^ hashVal;		
	}	
	return hashVal % this.SIZE;
}

DictWithStringKeys.prototype.test = function() {
	var temp;
	var one = 1;
	var two = 2;
	var three = 3;
	var four = 4;
	var five = 5;
	var six = 6;
	var d = {};
	
	
	for (var i in range(this.rounds)) {
		d[this.Hash('abc')] = one;
		d[this.Hash('def')] = two;
		d[this.Hash('ghi')] = three;
		d[this.Hash('jkl')] = four;
		d[this.Hash('mno')] = five;
		d[this.Hash('pqr')] = six;
        
		temp = d[this.Hash('abc')];
		temp = d[this.Hash('def')];
		temp = d[this.Hash('ghi')];
		temp = d[this.Hash('jkl')];
		temp = d[this.Hash('mno')];
		temp = d[this.Hash('pqr')];	

		d[this.Hash('abc')] = one;
		d[this.Hash('def')] = two;
		d[this.Hash('ghi')] = three;
		d[this.Hash('jkl')] = four;
		d[this.Hash('mno')] = five;
		d[this.Hash('pqr')] = six;
        
		temp = d[this.Hash('abc')];
		temp = d[this.Hash('def')];
		temp = d[this.Hash('ghi')];
		temp = d[this.Hash('jkl')];
		temp = d[this.Hash('mno')];
		temp = d[this.Hash('pqr')];	

		d[this.Hash('abc')] = one;
		d[this.Hash('def')] = two;
		d[this.Hash('ghi')] = three;
		d[this.Hash('jkl')] = four;
		d[this.Hash('mno')] = five;
		d[this.Hash('pqr')] = six;
        
		temp = d[this.Hash('abc')];
		temp = d[this.Hash('def')];
		temp = d[this.Hash('ghi')];
		temp = d[this.Hash('jkl')];
		temp = d[this.Hash('mno')];
		temp = d[this.Hash('pqr')];	

		d[this.Hash('abc')] = one;
		d[this.Hash('def')] = two;
		d[this.Hash('ghi')] = three;
		d[this.Hash('jkl')] = four;
		d[this.Hash('mno')] = five;
		d[this.Hash('pqr')] = six;
        
		temp = d[this.Hash('abc')];
		temp = d[this.Hash('def')];
		temp = d[this.Hash('ghi')];
		temp = d[this.Hash('jkl')];
		temp = d[this.Hash('mno')];
		temp = d[this.Hash('pqr')];	

		d[this.Hash('abc')] = one;
		d[this.Hash('def')] = two;
		d[this.Hash('ghi')] = three;
		d[this.Hash('jkl')] = four;
		d[this.Hash('mno')] = five;
		d[this.Hash('pqr')] = six;
        
		temp = d[this.Hash('abc')];
		temp = d[this.Hash('def')];
		temp = d[this.Hash('ghi')];
		temp = d[this.Hash('jkl')];
		temp = d[this.Hash('mno')];
		temp = d[this.Hash('pqr')];			
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (scriptArgs.length == 1) {		
	var bench = new BenchMark(scriptArgs[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}