function BenchMark(iterations) {
    this.microSeconds = 0;
	this.iterations = iterations;
}

BenchMark.prototype.runOneIteration = function() {		
	var before = new Date();
	new DictWithFloatKeys().test();
	var after = new Date();	
	this.microSeconds =  this.microSeconds + ((after-before) * 1000);
}

BenchMark.prototype.run = function() {	
	for(var i = 0 ; i < this.iterations ; i++)
		this.runOneIteration();	
	return this.microSeconds;
}	

function DictWithFloatKeys() {
    this.version = 2.0;
    this.operations = 5*(6 + 6);
    this.rounds = 150000;
	this.SIZE = 50;
}

DictWithFloatKeys.prototype.Hash = function(value) {
	var val = value * 31;
	if (val < 0)
		return (0 - val) % this.SIZE;
	return val % this.SIZE;
}

DictWithFloatKeys.prototype.test = function() {
	var temp;
	var one = 1;
	var two = 2;
	var three = 3;
	var four = 4;
	var five = 5;
	var six = 6;
	
	var d = {}

	for (var i in range(this.rounds)) {

		d[this.Hash(1.234)] = one;
		d[this.Hash(2.345)] = two;
		d[this.Hash(3.456)] = three;
		d[this.Hash(4.567)] = four;
		d[this.Hash(5.678)] = five;
		d[this.Hash(6.789)] = six;

		temp = d[this.Hash(1.234)];
		temp = d[this.Hash(2.345)];
		temp = d[this.Hash(3.456)];
		temp = d[this.Hash(4.567)];
		temp = d[this.Hash(5.678)];
		temp = d[this.Hash(6.789)];

		d[this.Hash(1.234)] = one;
		d[this.Hash(2.345)] = two;
		d[this.Hash(3.456)] = three;
		d[this.Hash(4.567)] = four;
		d[this.Hash(5.678)] = five;
		d[this.Hash(6.789)] = six;

		temp = d[this.Hash(1.234)];
		temp = d[this.Hash(2.345)];
		temp = d[this.Hash(3.456)];
		temp = d[this.Hash(4.567)];
		temp = d[this.Hash(5.678)];
		temp = d[this.Hash(6.789)];

		d[this.Hash(1.234)] = one;
		d[this.Hash(2.345)] = two;
		d[this.Hash(3.456)] = three;
		d[this.Hash(4.567)] = four;
		d[this.Hash(5.678)] = five;
		d[this.Hash(6.789)] = six;

		temp = d[this.Hash(1.234)];
		temp = d[this.Hash(2.345)];
		temp = d[this.Hash(3.456)];
		temp = d[this.Hash(4.567)];
		temp = d[this.Hash(5.678)];
		temp = d[this.Hash(6.789)];

		d[this.Hash(1.234)] = one;
		d[this.Hash(2.345)] = two;
		d[this.Hash(3.456)] = three;
		d[this.Hash(4.567)] = four;
		d[this.Hash(5.678)] = five;
		d[this.Hash(6.789)] = six;

		temp = d[this.Hash(1.234)];
		temp = d[this.Hash(2.345)];
		temp = d[this.Hash(3.456)];
		temp = d[this.Hash(4.567)];
		temp = d[this.Hash(5.678)];
		temp = d[this.Hash(6.789)];

		d[this.Hash(1.234)] = one;
		d[this.Hash(2.345)] = two;
		d[this.Hash(3.456)] = three;
		d[this.Hash(4.567)] = four;
		d[this.Hash(5.678)] = five;
		d[this.Hash(6.789)] = six;

		temp = d[this.Hash(1.234)];
		temp = d[this.Hash(2.345)];
		temp = d[this.Hash(3.456)];
		temp = d[this.Hash(4.567)];
		temp = d[this.Hash(5.678)];
		temp = d[this.Hash(6.789)];
	}
}

function range(n) {
	var result = new Array();
	for(var i=0; i<n; i++)
		result[i] = i;
	return result;
}

if (arguments.length == 1) {		
	var bench = new BenchMark(arguments[0]);
	print(bench.run());
}
else {
	print("I need the name of the test.");
	quit();
}